Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class LocaleToCharsetMap

    java.lang.Object
      org.apache.tomcat.util.http.LocaleToCharsetMap

public class LocaleToCharsetMap
extends java.lang.Object

A mapping to determine the (somewhat arbitrarily) preferred charset for a given locale. Supports all locales recognized in JDK 1.1. This class was originally written by Jason Hunter [jhunter@acm.org] as part of the book "Java Servlet Programming" (O'Reilly). See http://www.servlets.com/book for more information. Used by Sun Microsystems with permission.

Constructor Summary
`LocaleToCharsetMap()`

Method Summary
`static java.lang.String` | `getCharset(java.util.Locale loc)` Gets the preferred charset for the given locale, or null if the locale is not recognized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleToCharsetMap

    public LocaleToCharsetMap()

Method Detail

### getCharset

    public static java.lang.String getCharset(java.util.Locale loc)

  Gets the preferred charset for the given locale, or null if the locale is not recognized.

  Parameters:
    `loc` - the locale
  Returns:
    the preferred charset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.